## org.eclipse.datatools.modelbase.dbdefinition.impl
Class TableDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.TableDefinitionImpl

All Implemented Interfaces:
  TableDefinition

    public class TableDefinitionImpl

extends EObjectImpl
implements TableDefinition

An implementation of the model object 'Table Definition'.

The following features are implemented:

- `Audit Supported`
- `Data Capture Supported`
- `Edit Proc Supported`
- `Encoding Supported`
- `Valid Proc Supported`
- `Maximum Identifier Length`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`int` `getMaximumIdentifierLength()`
`boolean` `isAuditSupported()`
`boolean` `isDataCaptureSupported()`
`boolean` `isEditProcSupported()`
`boolean` `isEncodingSupported()`
`boolean` `isValidProcSupported()`
`void` `setAuditSupported(boolean newAuditSupported)`
`void` `setDataCaptureSupported(boolean newDataCaptureSupported)`
`void` `setEditProcSupported(boolean newEditProcSupported)`
`void` `setEncodingSupported(boolean newEncodingSupported)`
`void` `setMaximumIdentifierLength(int newMaximumIdentifierLength)`
`void` `setValidProcSupported(boolean newValidProcSupported)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### isAuditSupported

    public boolean isAuditSupported()

  Specified by:
    `isAuditSupported` in interface `TableDefinition`
  Returns:
    the value of the 'Audit Supported' attribute.
  See Also:
    `TableDefinition.setAuditSupported(boolean)`, `DatabaseDefinitionPackage.getTableDefinition_AuditSupported()`

### setAuditSupported

    public void setAuditSupported(boolean newAuditSupported)

  Specified by:
    `setAuditSupported` in interface `TableDefinition`
  Parameters:
    `newAuditSupported` - the new value of the 'Audit Supported' attribute.
  See Also:
    `TableDefinition.isAuditSupported()`

### isDataCaptureSupported

    public boolean isDataCaptureSupported()

  Specified by:
    `isDataCaptureSupported` in interface `TableDefinition`
  Returns:
    the value of the 'Data Capture Supported' attribute.
  See Also:
    `TableDefinition.setDataCaptureSupported(boolean)`, `DatabaseDefinitionPackage.getTableDefinition_DataCaptureSupported()`

### setDataCaptureSupported

    public void setDataCaptureSupported(boolean newDataCaptureSupported)

  Specified by:
    `setDataCaptureSupported` in interface `TableDefinition`
  Parameters:
    `newDataCaptureSupported` - the new value of the 'Data Capture Supported' attribute.
  See Also:
    `TableDefinition.isDataCaptureSupported()`

### isEditProcSupported

    public boolean isEditProcSupported()

  Specified by:
    `isEditProcSupported` in interface `TableDefinition`
  Returns:
    the value of the 'Edit Proc Supported' attribute.
  See Also:
    `TableDefinition.setEditProcSupported(boolean)`, `DatabaseDefinitionPackage.getTableDefinition_EditProcSupported()`

### setEditProcSupported

    public void setEditProcSupported(boolean newEditProcSupported)

  Specified by:
    `setEditProcSupported` in interface `TableDefinition`
  Parameters:
    `newEditProcSupported` - the new value of the 'Edit Proc Supported' attribute.
  See Also:
    `TableDefinition.isEditProcSupported()`

### isEncodingSupported

    public boolean isEncodingSupported()

  Specified by:
    `isEncodingSupported` in interface `TableDefinition`
  Returns:
    the value of the 'Encoding Supported' attribute.
  See Also:
    `TableDefinition.setEncodingSupported(boolean)`, `DatabaseDefinitionPackage.getTableDefinition_EncodingSupported()`

### setEncodingSupported

    public void setEncodingSupported(boolean newEncodingSupported)

  Specified by:
    `setEncodingSupported` in interface `TableDefinition`
  Parameters:
    `newEncodingSupported` - the new value of the 'Encoding Supported' attribute.
  See Also:
    `TableDefinition.isEncodingSupported()`

### isValidProcSupported

    public boolean isValidProcSupported()

  Specified by:
    `isValidProcSupported` in interface `TableDefinition`
  Returns:
    the value of the 'Valid Proc Supported' attribute.
  See Also:
    `TableDefinition.setValidProcSupported(boolean)`, `DatabaseDefinitionPackage.getTableDefinition_ValidProcSupported()`

### setValidProcSupported

    public void setValidProcSupported(boolean newValidProcSupported)

  Specified by:
    `setValidProcSupported` in interface `TableDefinition`
  Parameters:
    `newValidProcSupported` - the new value of the 'Valid Proc Supported' attribute.
  See Also:
    `TableDefinition.isValidProcSupported()`

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength()

  Specified by:
    `getMaximumIdentifierLength` in interface `TableDefinition`
  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `TableDefinition.setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getTableDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    public void setMaximumIdentifierLength(int newMaximumIdentifierLength)

  Specified by:
    `setMaximumIdentifierLength` in interface `TableDefinition`
  Parameters:
    `newMaximumIdentifierLength` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `TableDefinition.getMaximumIdentifierLength()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.